public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cjs/
Date: Fri, 29 May 2020 00:11:52 +0000 (UTC)	[thread overview]
Message-ID: <1590711044.a2e9032e49d83af365454051a23b197cf099fcaf.mattst88@gentoo> (raw)

commit:     a2e9032e49d83af365454051a23b197cf099fcaf
Author:     Matthew Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Wed May 13 00:51:27 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri May 29 00:10:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2e9032e

gnome-extra/cjs: 4.4.0 version bump

Bug: https://bugs.gentoo.org/704532
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/cjs/Manifest         |  1 +
 gnome-extra/cjs/cjs-4.4.0.ebuild | 80 ++++++++++++++++++++++++++++++++++++++++
 gnome-extra/cjs/metadata.xml     |  8 ++++
 3 files changed, 89 insertions(+)

diff --git a/gnome-extra/cjs/Manifest b/gnome-extra/cjs/Manifest
index 4700da9ee9c..d92711189f4 100644
--- a/gnome-extra/cjs/Manifest
+++ b/gnome-extra/cjs/Manifest
@@ -1 +1,2 @@
 DIST cjs-4.0.0.tar.gz 459595 BLAKE2B 63ed660480f87fcd57103965226b3457dc70586019c9ea7f446af86f0b18b493c315566c608f5e999f3b64765d71eb5d463053f3d859f7121c95dcc74d04016d SHA512 86baaba3721b71b266c560180ba20af43eed0d2b8fc37af0d24c7c0c36252e2af85da928b42260074f236f0bc4d4f4f28d20127021e67f23a22b042a09a3baa7
+DIST cjs-4.4.0.tar.gz 463019 BLAKE2B af276cd8f9ef0f66a6f4ab3e0072b485e33015e070bb796818907964df0696240b753f7a271bf45db788eb244e0cd1fb866f3b78798adf3ef8f9e76825fc4d74 SHA512 3b2bdc55ab572713d6b6f92978522b290819656f64fef620659065ff5673a04a0585b83a1a0248116570ac1cfee4f54acc228f355c02aa4e0a2a13b59fbafed2

diff --git a/gnome-extra/cjs/cjs-4.4.0.ebuild b/gnome-extra/cjs/cjs-4.4.0.ebuild
new file mode 100644
index 00000000000..4bd638f43d7
--- /dev/null
+++ b/gnome-extra/cjs/cjs-4.4.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools gnome2 pax-utils virtualx
+
+DESCRIPTION="Linux Mint's fork of gjs for Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/"
+SRC_URI="https://github.com/linuxmint/cjs/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
+SLOT="0"
+IUSE="+cairo examples gtk test"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-lang/spidermonkey:52
+	>=dev-libs/glib-2.42:2
+	>=dev-libs/gobject-introspection-1.41.4:=
+	sys-libs/readline:0=
+	dev-libs/libffi:0=
+	cairo? ( x11-libs/cairo[X,glib] )
+	gtk? ( x11-libs/gtk+:3 )
+"
+DEPEND="${RDEPEND}
+	sys-devel/gettext
+	virtual/pkgconfig
+	test? ( sys-apps/dbus )
+	sys-devel/autoconf-archive
+"
+# Cinnamon 2.2 does not work with this release.
+RDEPEND="${RDEPEND}
+	!<gnome-extra/cinnamon-2.4
+"
+
+RESTRICT="test"
+
+src_prepare() {
+	eautoreconf
+	gnome2_src_prepare
+
+	# Fixed in 4.6.0
+	sed -ie "s/Gjs-WARNING/Cjs-WARNING/g" \
+		"${S}"/installed-tests/scripts/testCommandLine.sh || die
+
+	# Fixed in 4.6.0
+	sed -ie "s/40000/50000/g" \
+		"${S}"/installed-tests/js/testSystem.js || die
+
+	sed -ie "s/'Gjs'/'Cjs'/g" \
+		"${S}"/installed-tests/js/testExceptions.js \
+		"${S}"/installed-tests/js/testEverythingBasic.js || die
+}
+
+src_configure() {
+	# FIXME: add systemtap/dtrace support, like in glib:2
+	# FIXME: --enable-systemtap installs files in ${D}/${D} for some reason
+	gnome2_src_configure \
+		--disable-systemtap \
+		--disable-dtrace \
+		$(use_with cairo) \
+		$(use_with gtk)
+}
+
+src_test() {
+	virtx emake check
+}
+
+src_install() {
+	# installation sometimes fails in parallel
+	gnome2_src_install -j1
+
+	if use examples; then
+		docinto examples
+		dodoc "${S}"/examples/*
+	fi
+
+	# Required for cjs-console to run correctly on PaX systems
+	pax-mark mr "${ED}/usr/bin/cjs-console"
+}

diff --git a/gnome-extra/cjs/metadata.xml b/gnome-extra/cjs/metadata.xml
index 9e988588122..bbfdb56cdcf 100644
--- a/gnome-extra/cjs/metadata.xml
+++ b/gnome-extra/cjs/metadata.xml
@@ -5,6 +5,14 @@
 		<email>cinnamon@gentoo.org</email>
 		<name>Cinnamon Project</name>
 	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<maintainer type="person">
+		<email>sparky@bluefang-logic.com</email>
+		<name>Matthew Turnbull</name>
+	</maintainer>
 	<upstream>
 		<remote-id type="github">linuxmint/cjs</remote-id>
 	</upstream>


             reply	other threads:[~2020-05-29  0:11 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-29  0:11 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-10  2:25 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cjs/ Sam James
2024-09-27  5:57 Eli Schwartz
2024-09-25 14:22 Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-05  3:36 Eli Schwartz
2024-05-28 20:49 Sam James
2024-05-28 17:01 Sam James
2024-02-15 13:29 Joonas Niilola
2023-10-13  7:43 Joonas Niilola
2023-10-04  8:24 Joonas Niilola
2023-09-26 15:59 WANG Xuerui
2023-05-07 22:14 Sam James
2023-04-30 23:53 Sam James
2023-04-30 23:50 Sam James
2022-12-24  7:11 Sam James
2022-11-22  6:20 Sam James
2022-11-22  6:20 Sam James
2022-11-21 17:46 Arthur Zamarin
2022-10-12 23:11 Sam James
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-05-11  2:11 Sam James
2022-05-05  3:01 Sam James
2022-01-21 17:15 Sam James
2022-01-21 17:15 Sam James
2022-01-21 17:15 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-11-23  1:25 Yixun Lan
2021-10-20  1:14 Sam James
2021-06-14 10:38 Sam James
2021-06-12  3:55 Sam James
2021-06-08  7:34 Sam James
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-04-12  1:09 Sam James
2021-03-01 13:02 Joonas Niilola
2021-01-06  1:05 Sam James
2020-12-29 17:14 Sam James
2020-12-27  5:06 Sam James
2020-12-16 22:30 Sam James
2020-09-15 14:20 Joonas Niilola
2020-09-09  2:15 Sam James
2020-04-20 20:52 Mart Raudsepp
2019-09-28 15:40 Pacho Ramos
2019-06-07 20:12 Mikle Kolyada
2019-06-04 20:58 Thomas Deutschmann
2019-02-09 18:50 Kristian Fiskerstrand
2018-11-28 19:56 Kristian Fiskerstrand
2018-07-31  8:38 Kristian Fiskerstrand
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 14:00 Aaron Bauman
2018-04-02 18:36 Kristian Fiskerstrand
2017-11-26 23:02 David Seifert
2017-11-26 15:43 Kristian Fiskerstrand
2017-09-05 19:45 Kristian Fiskerstrand
2017-07-08 12:38 Kristian Fiskerstrand
2017-06-25 15:27 Kristian Fiskerstrand
2017-06-24 14:58 Kristian Fiskerstrand
2016-11-22 20:42 Kristian Fiskerstrand
2016-10-01  0:54 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-06-25 16:53 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2015-11-15 22:30 Pacho Ramos
2015-11-07 20:07 Pacho Ramos
2015-11-07 20:07 Pacho Ramos
2015-09-07 21:11 Mikle Kolyada
2015-09-05 16:40 Pacho Ramos
2015-09-05 16:40 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1590711044.a2e9032e49d83af365454051a23b197cf099fcaf.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox